/* Copyright (C) 1991, 92, 93, 96, 97, 98 Free Software Foundation, Inc.
   This file is part of the GNU C Library.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the GNU C Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

#if !defined(CFG_FNMATCH_H)
#define	CFG_FNMATCH_H	1

#if defined(MEMWATCH)
#  include <memwatch.h>
#endif

#if defined(MPATROL)
#  include <mpatrol.h>
#endif

/**************************************************************/
#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

/**************************************************************/
/*FCA, modification needed on RIO to make EServerDSP compilable, see SPR#1135 */
#if defined(RIO806X)
# define RIO806X_LynxOS_2_5    1
#endif
#if defined(LynxOS_2_5)
# define RIO806X_LynxOS_2_5    1
#endif
#if defined(RIO806X_LynxOS_2_5)

#if !defined(_GNU_SOURCE)
# define _GNU_SOURCE     1
#endif

/* We #undef these before defining them because some losing systems
   (HP-UX A.08.07 for example) define these in <unistd.h>.  */
#undef	FNM_PATHNAME
#undef	FNM_NOESCAPE
#undef	FNM_PERIOD

/* Bits set in the FLAGS argument to `fnmatch'.  */
#define	FNM_PATHNAME	(1 << 0) /* No wildcard can ever match `/'.  */
#define	FNM_NOESCAPE	(1 << 1) /* Backslashes don't quote special chars.  */
#define	FNM_PERIOD	(1 << 2) /* Leading `.' is matched only explicitly.  */

#if !defined _POSIX_C_SOURCE || _POSIX_C_SOURCE < 2 || defined _GNU_SOURCE
# define FNM_FILE_NAME	 FNM_PATHNAME	/* Preferred GNU name.  */
# define FNM_LEADING_DIR (1 << 3)	/* Ignore `/...' after a match.  */
# define FNM_CASEFOLD	 (1 << 4)	/* Compare without regard to case.  */
#endif

/* Value returned by `fnmatch' if STRING does not match PATTERN.  */
#define	FNM_NOMATCH	1

#define FNM_NOSYS	(-1)

char *CfgStrchrnul(const char *s, int c);

/* Match STRING against the filename pattern PATTERN,
   returning zero if it matches, FNM_NOMATCH if not.  */
int CfgFnmatch (const char *__pattern, const char *__string, int __flags);

#define  strchrnul CfgStrchrnul
#define  fnmatch   CfgFnmatch

#else

#include <fnmatch.h>
#define CfgStrchrnul strchrnul
#define CfgFnmatch   fnmatch

#endif
/**************************************************************/
#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif /* fnmatch.h */
